summaryrefslogtreecommitdiffstats
path: root/recipes-connectivity/.gitkeep
blob: e69de29bb2d1d6434b8b29ae775ad8c2e48c5391 (plain)

ont-weight: bold } /* Name.Property */ .highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */ .highlight .nv { color: #336699 } /* Name.Variable */ .highlight .ow { color: #008800 } /* Operator.Word */ .highlight .w { color: #bbbbbb } /* Text.Whitespace */ .highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */ .highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */ .highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */ .highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */ .highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */ .highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */ .highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */ .highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */ .highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */ .highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */ .highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */ .highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */ .highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */ .highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */ .highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */ .highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */ .highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */ .highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */ .highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */ .highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */ .highlight .vc { color: #336699 } /* Name.Variable.Class */ .highlight .vg { color: #dd7700 } /* Name.Variable.Global */ .highlight .vi { color: #3333bb } /* Name.Variable.Instance */ .highlight .vm { color: #336699 } /* Name.Variable.Magic */ .highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */ }
#!/bin/sh
#
# Script to attach HCI UART devices on i.MX8MQ EVK/EVKB
#
# NOTE:
# For the most part errors are ignored and the script returns
# 0/success so BlueZ will still be started if the script is somehow
# run on a board without the expected hardware.  However, if the
# various probing succeeds and hciattach is run, the script returns
# the resulting exit code if hciattach fails.

COMPAT=/sys/firmware/devicetree/base/compatible
HCITTY=/dev/ttymxc2
PCIDEV=/sys/bus/pci/devices/0000:01:00.0

if [ ! \( -f "$COMPAT" -a -c "$HCITTY" \) ]; then
    exit 0
fi

found=false
for c in `cat $COMPAT | tr '\0' ' '`; do
    echo "c = $c"
    if echo $c | grep -q '^fsl,imx8mq-evk$'; then
        found=true
        break
    fi
done
if ! $found; then
    echo "i.MX8MQ EVK not found!"
    exit 0
fi

if [ -f "$PCIDEV/vendor" -a -f "$PCIDEV/device" ]; then
    vendor=`cat $PCIDEV/vendor`
    device=`cat $PCIDEV/device`
fi

rc=0
if [ "$vendor" = "0x14e4" -a "$device" = "0x43ec" ]; then
    # Broadcom 5436 on EVKB
    hciattach $HCITTY bcm43xx
    rc=$?
elif [ "$vendor" = "0x168c" -a "$device" = "0x003e" ]; then
    # Qualcomm (nee Atheros) 6174 on EVK
    hciattach $HCITTY qualcomm
    rc=$?
fi
exit $rc